Subject: RE: SG-2 Plus Complaint - Mohd Iqbal
From: "Swagtron Support ([email-masked])" <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 2 Dec 2020 10:23:47 -0800 (PST)

Dear valued customer,

I will do that now.

Sincerely,
Swagtron Customer Support

From: C2733242 Larry Cooper <[email-masked]>
Sent: 12/2/2020 11:59 am GMT-05:00
To: E761 Breanna Scott ([email-masked])
Subject: Re: SG-2 Plus Complaint - Mohd Iqbal

Has anyone contacted Modh?

Get Outlook for Android

From: Larry Cooper <[email-masked]>
Sent: Friday, November 27, 2020 7:30:49 PM
To: Swagtron Support <[email-masked]>
Subject: Re: SG-2 Plus Complaint - Mohd Iqbal

Send this message to Mohd IIqbal please. He has been contacting me.

Thanks.

Get Outlook for Android

From: Swagtron Support ([email-masked]) <[email-masked]>
Sent: Wednesday, November 25, 2020 12:51:10 PM
To: [email-masked] <[email-masked]>
Subject: RE: SG-2 Plus Complaint - Mohd Iqbal

Dear valued customer,

We understand your frustration and apologize for any incoveneince. Please let us know how we can further assist you.

Sincerely,
Swagtron Customer Support

From: C2733242 Larry Cooper <[email-masked]>
Sent: 11/25/2020 9:44 am GMT-05:00
To: [email-masked]
Subject: SG-2 Plus Complaint - Mohd Iqbal

Thanks for your reply. When I began this claim back in July, the unit wasn't out of the warranty based on the dates on the unit. I don't want to return the unit. I just wanted a replacement circuit board. But your inventory is low. That's poor management and poor customer support. Poor product as well. This claim has been going on for months. That's very poor customer and product support. I won't be buying any more Swagtron products, or advising anyone else to do so.

Thank you.

Larry

Get Outlook for Android